Automatic translation update from Pootle
[lxde/lxpanel.git] / README.checkinstall
CommitLineData
d7c3a875
GP
1
2#### Information about building and creating a debian package
3
4#### 1) include the source code in the repositories
5
6#### 2) install all dependencies
7sudo apt-get build-dep lxpanel
8
9#### 3) compile
10./autogen.sh --prefix=/usr
11./configure --prefix=/usr --enable-man --enable-indicator-support
12make
13
14#### 4) build debian package
15sudo checkinstall
16
170 (Maintainer) -> your e-mail
182 (Name) -> lxpanel
193 (Version) -> the version of the package
20
21## lubuntu 12.04
2210 (Requires) -> libasound2, libc6, libgdk-pixbuf2.0-0, libglib2.0-0, libgtk2.0-0, libiw30, libmenu-cache1, libwnck22, libx11-6, lxmenu-data
d7c3a875
GP
23## lubuntu 13.04
2410 (Requires) -> libasound2, libc6, libcairo2, libgdk-pixbuf2.0-0, libglib2.0-0, libgtk2.0-0, libiw30, libmenu-cache2, libwnck22, libx11-6, lxmenu-data
9bc52da2
GP
25## lubuntu 13.10
2610 (Requires) -> libasound2, libc6, libcairo2, libgdk-pixbuf2.0-0, libglib2.0-0, libgtk2.0-0, libiw30, libmenu-cache3, libwnck22, libx11-6, lxmenu-data
d7c3a875
GP
27
2811 (Provides) -> lxpanel
2913 (Replaces) -> lxpanel-indicator-applet-plugin